@import "../../styles/variables.scss";

.project {
  width: 100%;

  &_wrapper {
    padding: 24px;
    box-sizing: border-box;

    width: 100%;

    background-color: #fff;
  }

  &_buttons {
    position: absolute;

    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;

    &.__mobile {
      top: 0;
      left: 0;
      right: 0;
    }

    &.__desktop {
      display: none;
    }
  }

  &_image {
    position: relative;
    margin-top: 24px;
    //padding-bottom: 100%;

    max-width: 100%;
    height: 100%;

    & > img {
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate3d(-50%, -50%, 0);

      display: block;
      max-width: 100%;
      max-height: 100%;

      object-fit: contain;
      margin: auto;
    }
  }

  &_link {
    margin-top: 20px;
  }
}

@media (min-width: $breakpoint-2) {
  .project {
    &_image {
      padding-bottom: 60%;
    }
  }
}

@media (min-width: $breakpoint-3) {
  .project {
    position: relative;

    padding: 0 54px;

    width: 100%;
    max-width: 93.75%;

    &_wrapper {
      position: relative;

      padding: 36px;

      width: 100%;

      border-radius: 5px;
    }

    &_buttons {
      &.__mobile {
        display: none;
      }

      &.__desktop {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate3d(-50%, -50%, 0);

        width: 100%;
        height: 100%;
        display: flex;
        justify-content: space-between;
      }
    }

    &_image {
      padding-bottom: 60%;
    }

    &_link {
      position: absolute;
      top: 36px;
      right: 36px;

      margin-top: 0;
    }
  }
}

@media (min-width: $breakpoint-4) {
  .project {
    &_image {
      padding-bottom: 42%;
    }
  }
}
